Bug 161697 - [67cat] [j2ee] Opening Old Projects does not activate required modules
[67cat] [j2ee] Opening Old Projects does not activate required modules
Status: RESOLVED WORKSFORME
Product: javaee
Classification: Unclassified
Component: Code
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: issues@javaee
issues@javaee
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 18:03 UTC by esmithbss
Modified: 2009-08-28 14:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2009-04-01 18:03:53 UTC
[ BUILD # : 200903310200 ]
[ JDK VERSION : 1.6.* ]

I just installed the full 200903310200 version and opened 4 projects
from 6.5 which used the glassfish V2 server installed under 6.5.

Prior to opening the projects, I did nothing special to configure the
IDE or enable components, assuming the IDE would handle that during
the project scanning phase.

I received messages for the projects indicating that there were
reference problems that needed to be resolved for the j2ee server.


The system needs to activate components based on the projects being
loaded.
Comment 1 Vince Kraemer 2009-04-01 18:16:52 UTC
did you import your userdir?

Did you install new servers or did the installer notice the 'old servers' and add info to the netbeans.conf file?

Comment 2 esmithbss 2009-04-01 18:32:56 UTC
The installer noticed the existing servers during the installation.

Unfortunately, looking through the dev folder configuration, there are no files listed under GlassFish Instances.
There are configuration items under J2EE/InstalledServers path (instance, instance_2, and instance_3) which correspond
with the 3 separate versions of Glassfish V2 which are installed on my box.

instance => my persistent Glassfish instance (Manually configured in 6.5.1).

instance_2 => my glassfish v2 instance installed as part of GlassfishESB.

instance_3 => my glassfish v2 instance installed as part of NetBeans 6.5.1.

I've also created a report (http://www.netbeans.org/issues/show_bug.cgi?id=161698) for the servers being identified, but
not configured completely during installation.

Comment 3 esmithbss 2009-04-01 18:46:26 UTC
After deleting the dev folder and restarting NB, the proper modules (J2EE) are now activated; however, there is no entry
or tree branch for servers under the Services branch in which I can "resolve my references".
Comment 4 Petr Jiricka 2009-06-08 16:20:17 UTC
Issue 161698 is now resolved (via issue 161664), so does this solve this issue as well? Thanks.
Comment 5 Petr Jiricka 2009-08-28 14:37:34 UTC
No response -> WORKSFORME. If you are still able to reproduce, please reopen and attach exact steps/projects etc.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo